diff -Nru debootstrap-1.0.46/debian/changelog debootstrap-1.0.47/debian/changelog
--- debootstrap-1.0.46/debian/changelog	2012-12-27 15:51:54.000000000 +0100
+++ debootstrap-1.0.47/debian/changelog	2013-03-20 21:34:29.000000000 +0100
@@ -1,3 +1,15 @@
+debootstrap (1.0.47) unstable; urgency=low
+
+  * Team upload
+  * Properly decrypt the InRelease file when downloading from an archive
+    where InRelease is used. This longstanding bug was masked by former
+    APT behaviour and was revealed only with recent APT versions
+    Closes: #703146
+    Thanks to Michael Vogt for the analysis and patch
+  * Add a dependency on gpg because of the above change.
+
+ -- Christian Perrier <bubulle@debian.org>  Wed, 20 Mar 2013 21:34:29 +0100
+
 debootstrap (1.0.46) unstable; urgency=low
 
   * Team upload.
diff -Nru debootstrap-1.0.46/debian/control debootstrap-1.0.47/debian/control
--- debootstrap-1.0.46/debian/control	2012-12-27 14:42:50.000000000 +0100
+++ debootstrap-1.0.47/debian/control	2013-03-20 21:49:20.000000000 +0100
@@ -10,8 +10,8 @@
 
 Package: debootstrap
 Architecture: all
-Depends: ${misc:Depends}, wget
-Recommends: gnupg, ${keyring}
+Depends: ${misc:Depends}, wget, gnupg
+Recommends: ${keyring}
 Description: Bootstrap a basic Debian system
  debootstrap is used to create a Debian base system from scratch,
  without requiring the availability of dpkg or apt. It does this by
diff -Nru debootstrap-1.0.46/functions debootstrap-1.0.47/functions
--- debootstrap-1.0.46/functions	2012-12-27 15:36:47.000000000 +0100
+++ debootstrap-1.0.47/functions	2013-03-20 21:30:41.000000000 +0100
@@ -530,7 +530,8 @@
 		warning KEYRING "Cannot check Release signature; keyring file not available %s" "$KEYRING_WANTED"
 	fi
 	if [ "$release_file_variant" = "IN" ]; then
-		mv "$relsigdest" "$reldest"
+		rm -f $reldest
+                gpg --output "$reldest" --decrypt --keyring "$KEYRING" --ignore-time-conflict "$relsigdest"
 	fi
 }
 
